<?php
/*************************************************************************************/
/*                                                                                   */
/*      Thelia	                                                            		 */
/*                                                                                   */
/*      Copyright (c) Octolys Development		                                     */
/*		email : thelia@octolys.fr		        	                             	 */
/*      web : http://www.octolys.fr						   							 */
/*                                                                                   */
/*      This program is free software; you can redistribute it and/or modify         */
/*      it under the terms of the GNU General Public License as published by         */
/*      the Free Software Foundation; either version 2 of the License, or            */
/*      (at your option) any later version.                                          */
/*                                                                                   */
/*      This program is distributed in the hope that it will be useful,              */
/*      but WITHOUT ANY WARRANTY; without even the implied warranty of               */
/*      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                */
/*      GNU General Public License for more details.                                 */
/*                                                                                   */
/*      You should have received a copy of the GNU General Public License            */
/*      along with this program; if not, write to the Free Software                  */
/*      Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA    */
/*                                                                                   */
/*************************************************************************************/
?>
<?php

	include_once(realpath(dirname(__FILE__)) . "/../../../classes/PluginsClassiques.class.php");
	include_once(realpath(dirname(__FILE__)) . "/../../../classes/Client.class.php");
	
	class Datenaissance extends PluginsClassiques{


        var $id;
        var $client;
        var $date;

        var $table="datenaissance";
        var $bddvars = array("id", "client", "date");


		function Datenaissance(){
			$this->PluginsClassiques("datenaissance");
		}

		function init(){
            $cnx = new Cnx();
			$query = "CREATE TABLE IF NOT EXISTS `datenaissance` (
			  `id` int(11) NOT NULL auto_increment,
			  `client` int(11) NOT NULL,
			  `date` date NOT NULL,
			  PRIMARY KEY  (`id`)
			)";
			$resul = mysql_query($query, $cnx->link);
			
			$client = new Client();
			$query = "select * from $client->table";
			$resul = mysql_query($query, $client->link);
			
			while($row = mysql_fetch_object($resul)){
				$test = new Datenaissance();
				
				if(! $test->charger($row->id)){
					$test->client = $row->id;
					$test->date = "";
					$test->add();
				}
			
			}
		}

       function charger($client){
             return $this->getVars("select * from $this->table where client=\"$client\"");
       }

	   function demarrage(){

	   	if(isset($_REQUEST['datenaissance_jour']))
	   		$_SESSION['datenaissance_jour'] = $_REQUEST['datenaissance_jour'];
	   	if(isset($_REQUEST['datenaissance_mois']))
	   		$_SESSION['datenaissance_mois'] = $_REQUEST['datenaissance_mois'];
	   	if(isset($_REQUEST['datenaissance_annee']))
	   		$_SESSION['datenaissance_annee'] = $_REQUEST['datenaissance_annee'];	
			
		/*if(isset($_REQUEST['nom']))
	   		$_SESSION['nom'] = $_REQUEST['nom'];
		if(isset($_REQUEST['prenom']))
	   		$_SESSION['prenom'] = $_REQUEST['prenom'];
		if(isset($_REQUEST['adresse1']))
	   		$_SESSION['adresse1'] = $_REQUEST['adresse1'];
		if(isset($_REQUEST['cpostal']))
	   		$_SESSION['cpostal'] = $_REQUEST['cpostal'];
		if(isset($_REQUEST['ville']))
	   		$_SESSION['ville'] = $_REQUEST['ville'];
		if(isset($_REQUEST['telfixe']))
	   		$_SESSION['telfixe'] = $_REQUEST['telfixe'];
		if(isset($_REQUEST['email1']))
	   		$_SESSION['email1'] = $_REQUEST['email1'];
		if(isset($_REQUEST['parrain']))
	   		$_SESSION['parrain'] = $_REQUEST['parrain'];*/


	   }

	   function action(){
	   		global $res;

			$cnx = new Cnx();
	   		if(isset($_SESSION['datenaissance_jour'])){
	  			$res = str_replace("#DATENAISSANCE_JOUR", $_SESSION['datenaissance_jour'], $res);
	  			$res = str_replace("#DATENAISSANCE_MOIS", $_SESSION['datenaissance_mois'], $res);
	  			$res = str_replace("#DATENAISSANCE_ANNEE", $_SESSION['datenaissance_annee'], $res);
	  		} else if($_SESSION['navig']->client->connecte){
	  			$this->charger($_SESSION['navig']->client->id);
	  			$jour = substr($this->date, 8, 2);
	  			$mois = substr($this->date, 5, 2);
	  			$annee = substr($this->date, 0, 4);
	  			$res = str_replace("#DATENAISSANCE_JOUR", $jour, $res);
	  			$res = str_replace("#DATENAISSANCE_MOIS", $mois, $res);
	  			$res = str_replace("#DATENAISSANCE_ANNEE", $annee, $res);
	  		}
	  		
			if(isset($_REQUEST['error']) && $_REQUEST['error'] == 'borndate')
			{
				$res = str_replace("#BORNERROR",1,$res);	
				/*$res = str_replace("#NOM",$_SESSION['nom'],$res);
				$res = str_replace("#PRENOM",$_SESSION['prenom'],$res);
				$res = str_replace("#ADRESSE1",$_SESSION['adresse1'],$res);
				$res = str_replace("#CPOSTAL",$_SESSION['cpostal'],$res);
				$res = str_replace("#VILLE",$_SESSION['ville'],$res);
				$res = str_replace("#TELFIXE",$_SESSION['telfixe'],$res);
				$res = str_replace("#EMAIL",$_SESSION['email1'],$res);
				$res = str_replace("#PARRAIN_EMAIL",$_SESSION['parrain'],$res);*/
			}
			else
			{
				$res = str_replace("#BORNERROR",'',$res);	
			}
	  		
	   }
	   
	   function apresconnexion()
	   {
		   $cnx = new Cnx();
		  	$id = $_SESSION['navig']->client->id;
			$query="SELECT * FROM datenaissance WHERE client='$id'";
			$result = mysql_query($query,$cnx->link);
			if(!mysql_num_rows($result))
				$_SESSION['born_ok'] = 1;
			else
			{
				$data =mysql_fetch_object($result);
				if($data->date == '0000-00-00')
					$_SESSION['borni_ok'] = 1;
				else
					$_SESSION['born_ok'] = 0;		
			}
		   
	   }
	   
	   function post()
	   {
			if($_SESSION['born_ok'] == 1)
			{
				echo '<script language="javascript" type="text/javascript">alert("Remplissez le champ date de naissance dans votre compte pour obtenir une remise le mois de votre anniversaire");</script>';		
				unset($_SESSION['born_ok']);
			}
			

	   }
	   
	   function avantclient()
	   {
			if(($_REQUEST['datenaissance_mois'] == '' || $_REQUEST['datenaissance_jour']== '' || $_REQUEST['datenaissance_annee']== '') && $_REQUEST['action'] == 'creercompte')
			{
				header("Location: formulerr.php?errform=1&error=borndate");	
				exit();
			}   
	   }

	   function boucle($texte, $args){
			// rcupration des arguments
			$boucle = lireTag($args, "boucle");
			
			if($boucle == "naissance")
				return $this->boucle_naissance($texte, $args);
			else
				if($boucle == "jour")
				return $this->boucle_jour($texte, $args);
					
			else
				if($boucle == "mois")
				return $this->boucle_mois($texte, $args);
					
			else
				if($boucle == "annee")
				return $this->boucle_annee($texte, $args);
					
			
	   }

	   function boucle_naissance($texte, $args){
	   
			// rcupration des arguments
			$client = lireTag($args, "client");
			
			$res="";

			if($client == "")
				return "";
				
			if(!$this->charger($client))
				return "";

	  		$jour = substr($this->date, 8, 2);
	  		$mois = substr($this->date, 5, 2);
	  		$annee = substr($this->date, 0, 4);
	  			
			$temp = str_replace("#CLIENT", "$this->client", $texte);
			$temp = str_replace("#DATE", "$this->date", $temp);
			$temp = str_replace("#JOUR", "$jour", $temp);
			$temp = str_replace("#MOIS", "$mois", $temp);
			$temp = str_replace("#ANNEE", "$annee", $temp);
			
			$res .= $temp;
		
			return $res;	   	   
	   }
	   


	   function boucle_jour($texte, $args){
	   
			// rcupration des arguments
			$client = lireTag($args, "client");
			$jour = lireTag($args, "jour");

			$res="";

				
			$this->charger($client);
				
			
			for($i=1; $i<32; $i++){
	  			
	  			if(strlen($i) != 2)
	  				$njour="0$i";
	  			else
	  				$njour = $i;
	  				
	  			if($this->date != "")
	  				$jour = substr($this->date, 8, 2);

	  			if($jour == $njour)
	  				$selected = "selected=\"selected\"";
	  			else
	  				$selected = "";
	  				
				$temp = str_replace("#CLIENT", "$this->client", $texte);
				$temp = str_replace("#JOUR", "$njour", $temp);
				$temp = str_replace("#SELECTED", "$selected", $temp);
			
				$res .= $temp;
			}
			
			return $res;	   	   
	   }
	   

	function boucle_mois($texte, $args){

			// rcupration des arguments
			$client = lireTag($args, "client");
			$mois = lireTag($args, "mois");

			$res="";

			
			$this->charger($client);
		
			for($i=1; $i<13; $i++){
			
				if(strlen($i) != 2)
					$nmois="0$i";
				else
					$nmois = $i;
					
	  			if($this->date != "")
	  				$mois = substr($this->date, 5, 2);
	  							
				if($mois == $nmois)
					$selected = "selected=\"selected\"";
				else
					$selected = "";
				
				$temp = str_replace("#CLIENT", "$this->client", $texte);
				$temp = str_replace("#MOIS", "$nmois", $temp);
				$temp = str_replace("#SELECTED", "$selected", $temp);
		
				$res .= $temp;
			}
		
			return $res;	   	   
	}

	function boucle_annee($texte, $args){

			// rcupration des arguments
			$client = lireTag($args, "client");
			$annee = lireTag($args, "annee");

			$res="";

			
			$this->charger($client);
		
			for($i=1900; $i<2050; $i++){

	  			if($this->date != "")
	  				$annee = substr($this->date, 0, 4);
					
				if($annee == $i)
					$selected = "selected=\"selected\"";
				else
					$selected = "";
				
				$temp = str_replace("#CLIENT", "$this->client", $texte);
				$temp = str_replace("#ANNEE", "$i", $temp);
				$temp = str_replace("#SELECTED", "$selected", $temp);
		
				$res .= $temp;
			}
		
			return $res;	   	   
}

	   
	   function apresmodifcompte(){
			if($_REQUEST['datenaissance_jour'] != "" && $_REQUEST['datenaissance_mois'] != "" && $_REQUEST['datenaissance_annee'] != "")
			{
				$id = $_SESSION['navig']->client->id;
	    		if($this->charger($id))
				{
					$this->date = $_REQUEST['datenaissance_annee'] . "-" . $_REQUEST['datenaissance_mois'] . "-" . $_REQUEST['datenaissance_jour'];
					$this->maj();
				}
				else
				{
					$this->client = $id;
					$this->date = $_REQUEST['datenaissance_annee'] . "-" . $_REQUEST['datenaissance_mois'] . "-" . $_REQUEST['datenaissance_jour'];
					$this->add();
				}
  	  		 }
	   
	   }
	   	   
	   
	   function apresclient($client){
				$tmpcli = new Client();
				$tmpcli->charger_ref($client->ref);
	    		$this->client = $tmpcli->id;
				$this->date = $_SESSION['datenaissance_annee'] . "-" . $_SESSION['datenaissance_mois'] . "-" . $_SESSION['datenaissance_jour'];
				$this->add();
  	   }
	
	}

?>
